# std::basic_string<CharT,Traits,Allocator>::push_back

From cppreference.com
< cpp‎ | string‎ | basic string

void push_back( CharT ch ); |  |

Appends the given character `ch` to the end of the string.

### Parameters

ch | - | the character to append

### Return value

(none)

### Complexity

Amortized constant.

### Exceptions

If an exception is thrown for any reason, this function has no effect (strong exception guarantee). (since C++11)

If the operation would result in `size() > max_size()`, throws std::length_error.

### See also

pop_back (C++11) | removes the last character (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string/push_back&oldid=66404"